read.coastline {oce} | R Documentation

## Read a Coastline File

### Description

Read a coastline file in R, Splus, mapgen, shapefile, or openstreetmap format. The S and R formats are identical, and consist of two columns, lon and lat, with land-jump segments separated by lines with two NAs. The MapGen format is of the form

     # -b -16.179081 28.553943
    -16.244793 28.563330

BUG: the 'arc/info ungenerate' format is not yet understood.

### Usage

    read.coastline(file, type = c("R", "S", "mapgen", "shapefile",
      "openstreetmap"), debug = getOption("oceDebug"), monitor = FALSE,
      processingLog)

### Arguments

`file` | name of file containing coastline data.
`type` | type of file, one of `"R"`, `"S"`, `"mapgen"`, `"shapefile"` or `"openstreetmap"`.
`debug` | set to TRUE to print information about the header, etc.
`monitor` | print a dot for every coastline segment read (ignored except for reading "shapefile" type)
`processingLog` | if provided, the action item to be stored in the log. (Typically only provided for internal calls; the default that it provides is better for normal calls by a user.)

### Value

An object of `coastline-class`.

### Author(s)

Dan Kelley

[Package oce version 0.9-22 Index]